Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 612340 - net-libs/gnutls-3.5 stabilization
Summary: net-libs/gnutls-3.5 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Crypto team [DISABLED]
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 391463 gnutls-3.5-breakage 609246 612342 612344 612348 612350 612352 612354 612356 612358 612360 612362 612364 612374 612376 613418 613420 616610 626010
Blocks:
  Show dependency tree
 
Reported: 2017-03-11 20:52 UTC by Alon Bar-Lev
Modified: 2018-07-28 13:14 UTC (History)
2 users (show)

See Also:
Package list:
=net-libs/gnutls-3.5.13 alpha amd64 arm arm64 hppa ia64 ppc ppc64 x86
Runtime testing required: Yes
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alon Bar-Lev gentoo-dev 2017-03-11 20:52:53 UTC
It is time.
Comment 1 Alon Bar-Lev gentoo-dev 2017-03-11 23:01:43 UTC
Arch: please at least test with USE="test-full", this will enable more tests in archs that supports that.
Comment 2 Alon Bar-Lev gentoo-dev 2017-04-08 17:50:59 UTC
Arch: valngrind USE can be also added for extra tests.
Comment 3 Alon Bar-Lev gentoo-dev 2017-04-24 07:03:10 UTC
Hi Arch,

Please stabilize.

Known issues:

1. for tests you should install guile-2 and rebuild autogen manually as it has no subslot operator, see bug#615008.
2. glib-networking has known test issue bug#595952.

To help with testing I added USE="test-full" stable masked which will pull extra dependencies to allow verbose testing, you may also use USE="valngrind" if supported at your platform.

sparc is excluded at this point due to bug#613418, waiting for a machine.

Thanks!
Comment 4 Jeroen Roovers gentoo-dev 2017-04-24 08:03:38 UTC
I feel a change in the Matrix.

commit 63a8c991d684c812aa38d679a2fd14c402674268
Author: Alon Bar-Lev <alonbl@gentoo.org>
Date:   Mon Apr 24 10:55:46 2017 +0300

    net-libs/gnutls: move >=dev-scheme/guile-2 to test-full

    avoid block stable

    Package-Manager: Portage-2.3.3, Repoman-2.3.1
Comment 5 Alon Bar-Lev gentoo-dev 2017-04-24 08:27:53 UTC
(In reply to Jeroen Roovers from comment #4)
> I feel a change in the Matrix.

I do not understand, is there any action item? recommendation?
Comment 6 Jeroen Roovers gentoo-dev 2017-05-13 11:33:27 UTC
(In reply to Alon Bar-Lev from comment #5)
> (In reply to Jeroen Roovers from comment #4)
> > I feel a change in the Matrix.
> 
> I do not understand, is there any action item? recommendation?

No, that change is fine as it helps the stabilisation process, especially since media-sound/lilypond depends on <dev-scheme/guile-2.0.
Comment 7 Mart Raudsepp gentoo-dev 2017-05-20 04:16:16 UTC
Most arches here aren't doing stabilization as long as there are open depend bugs that are not keyword/stabling bugs with arches CCed. So you should clear out the depends list from stuff that shouldn't block stabilization, if you want things to proceed. This is how the script used by most works - open dependent bug - no stabling with the --no-depends flag most arch devs pass to it that use it. This is also very logical even if checked manually without reading all the comments.
Comment 8 Alon Bar-Lev gentoo-dev 2017-05-20 04:41:23 UTC
(In reply to Mart Raudsepp from comment #7)
> Most arches here aren't doing stabilization as long as there are open depend
> bugs that are not keyword/stabling bugs with arches CCed. So you should
> clear out the depends list from stuff that shouldn't block stabilization, if
> you want things to proceed. This is how the script used by most works - open
> dependent bug - no stabling with the --no-depends flag most arch devs pass
> to it that use it. This is also very logical even if checked manually
> without reading all the comments.

ok, done.
leaving out big-endian for bug#613418 which may be nettle issue.
leaving out ia64 for as pending stabilization of bug#612348 for a long time.
I am hopping that we can proceed for the popular architectures.
Comment 9 Agostino Sarubbo gentoo-dev 2017-05-20 08:49:14 UTC
amd64 stable
Comment 10 Mart Raudsepp gentoo-dev 2017-05-20 09:09:40 UTC
(In reply to Alon Bar-Lev from comment #8)
> leaving out ia64 for as pending stabilization of bug#612348 for a long time.

You didn't remove ia64 from CC though?
That depend was fine though if the intention was to block ia64 until they have done it.
If it's a dependent bug, for the script it will only block for architectures that are still CC'ed on the bug (if the bug is in the stabilization, keywording or appropriate security component), so for everyone but ia64 that wouldn't block anything either with the script (though if no arches are CC'ed, then it does block).
Comment 11 Alon Bar-Lev gentoo-dev 2017-05-20 09:35:09 UTC
(In reply to Mart Raudsepp from comment #10)
> (In reply to Alon Bar-Lev from comment #8)
> > leaving out ia64 for as pending stabilization of bug#612348 for a long time.
> 
> You didn't remove ia64 from CC though?

I was sure I did.
ok, I re-added dependency.
Comment 12 Agostino Sarubbo gentoo-dev 2017-05-20 09:35:10 UTC
x86 stable
Comment 13 Tobias Klausmann gentoo-dev 2017-05-22 13:27:57 UTC
Stable on alpha.
Comment 14 Agostino Sarubbo gentoo-dev 2017-05-24 13:47:14 UTC
ppc stable
Comment 15 Agostino Sarubbo gentoo-dev 2017-06-13 12:32:08 UTC
ppc64 stable
Comment 16 Sergei Trofimovich gentoo-dev 2017-06-13 20:07:25 UTC
ia64 stable
Comment 17 Markus Meier gentoo-dev 2017-06-20 04:46:18 UTC
arm stable
Comment 18 Alon Bar-Lev gentoo-dev 2017-08-11 07:10:25 UTC
@sparc, @hppa: ping?

bug#626010 and this one should resolve the issue and allow us to drop the old gnutls.
Comment 19 Sergei Trofimovich gentoo-dev 2017-09-09 18:55:03 UTC
hppa stable
Comment 20 Sergei Trofimovich gentoo-dev 2017-09-09 19:02:32 UTC
sparc stable (thank to Dakon)